package com.hc.business.service;

import com.github.pagehelper.PageInfo;
import com.hc.business.dto.LiveClassDto;
import com.hc.business.model.LiveClass;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * 直播间班级配置表(LiveClass)表服务接口
 *
 * @author makejava
 * @since 2024-01-20 10:56:41
 */

@Component
public interface LiveClassService {

    /**
     * 通过ID查询单条数据
     *
     * @param liveClassId 主键
     * @return 实例对象
     */
    LiveClass queryById(Integer liveClassId);

    /**
     * 新增数据
     *
     * @param liveClass 实例对象
     * @return 实例对象
     */
    LiveClass insert(LiveClass liveClass);

    /**
     * 修改数据
     *
     * @param liveClass 实例对象
     * @return 实例对象
     */
    LiveClass update(LiveClass liveClass);

    /**
     * 通过主键删除数据
     *
     * @param liveClassId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer liveClassId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 通过直播ID查询关联的培训帮
     *
     * @param liveId 主键
     * @return 是否成功
     */
    List<LiveClassDto> queryByLiveId(Integer liveId);
}
